<html>

<head>
  <!-- Meta, title, CSS, favicons, etc. -->
  <meta charset="utf-8">
  <title>{% block title %} Ejercicios {% endblock %}</title>
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Font CSS (Via CDN) -->
  <link rel='stylesheet' type='text/css' href='http://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700'>

  <!-- Theme CSS -->
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='assets/skin/default_skin/css/theme.css') }}">

  <!-- Favicon -->
  <link rel="shortcut icon" href="{{ url_for('static', filename='assets/img/favicon.ico') }}">
  
  <!-- Plugin CSS -->
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='vendor/plugins/magnific/magnific-popup.css') }}">

  <!-- Admin Forms CSS -->
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='assets/admin-tools/admin-forms/css/admin-forms.css') }}">

  <!-- Glyphicons pro CSS -->
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='assets/fonts/glyphicons-pro/glyphicons-pro.css') }}">

  <!-- Icomoon CSS -->
  <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='assets/fonts/icomoon/icomoon.css') }}">

  <!-- Imported CSS -->
  {% block ImportedCSS %}
  {% endblock %}

</head>

{% block allbody %}
{% block bodyclass %}<body class="sb-top sb-top-sm admin-elements-page" data-spy="scroll" data-target="#nav-spy" data-offset="300">{% endblock %}

  <!-- Start: Main -->
  <div id="main">

    <!-- Start: Header -->
    <header class="navbar navbar-fixed-top navbar-shadow">
      <div class="navbar-branding">
        <a class="navbar-brand" href="">
          <b>Bienvenido!</b>
        </a>
      </div>
    </header>
    <!-- End: Header -->  

    <!-- Start: Sidebar -->

    <aside id="sidebar_left" class="">

      <!-- Start: Sidebar Left Content -->
      <div class="sidebar-left-content nano-content">
        <!-- Start: Sidebar Menu -->
        <ul class="nav sidebar-menu">          
          <li>
            <a class="accordion-toggle" href="#">
              <span class="glyphicon glyphicon-fire"></span>
              <span class="sidebar-title">Ejercicio 1</span>
              <span class="caret"></span>
            </a>
            <ul class="nav sub-nav">
              <li>
                <a href="{{ url_for('patente') }}">
                  <span class="glyphicon glyphicon-book"></span> Buscar id por Patente</a>
              </li>
              <li>
                <a href="{{ url_for('identificador_patente') }}">
                  <span class="glyphicon glyphicon-modal-window"></span> Buscar Patente por id </a>
              </li>
            </ul>
          </li>
          <li>
            <a href="{{ url_for('matriz') }}">
              <span class="glyphicon glyphicon-book"></span>
              <span class="sidebar-title">Matriz</span>
            </a>
          </li>
        </ul>
        <!-- End: Sidebar Menu -->
      </div>
      <!-- End: Sidebar Left Content -->
    </aside>


    <!-- Start: Content-Wrapper -->
    <section id="content_wrapper">

      <!-- Begin: Content -->
      <section id="content" class="animated fadeIn">
        {% block content %}
        <div class="row">
          <div class="col-md-6">
            <div class="panel">
                <div class="panel-heading">
                   <span class="panel-icon"></span>
                   <span class="panel-title"> Panel One</span>
                </div>    
                <div class="panel-body">
                  <p class="">
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                  </p>
                </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="panel">
                <div class="panel-heading">
                   <span class="panel-icon"></span>
                   <span class="panel-title"> Panel Two</span>
                </div>    
                <div class="panel-body">
                  <p class="">
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                  </p>
                </div>
            </div>
          </div>
        </div>
        {% endblock %}
      </section>
      <!-- End: Content -->

    </section>

  </div>
  <!-- End: Main -->

  <!-- BEGIN: PAGE SCRIPTS -->

  <!-- jQuery -->
  <script src="{{ url_for('static', filename='vendor/jquery/jquery-1.11.1.min.js') }}"></script>
  <script src="{{ url_for('static', filename='vendor/jquery/jquery_ui/jquery-ui.min.js') }}"></script>

  <!-- Imported Scripts -->
  {% block scripts %}
  {% endblock %}

  <!-- Theme Javascript -->
  <script src="{{ url_for('static', filename='assets/js/utility/utility.js') }}"></script>
  <script src="{{ url_for('static', filename='assets/js/demo/demo.js') }}"></script>
  <script src="{{ url_for('static', filename='assets/js/main.js') }}"></script>
  {% block AllJava %}
  <script type="text/javascript">
  jQuery(document).ready(function() {

    "use strict";

    // Init Demo JS  
    Demo.init();
 

    // Init Theme Core    
    Core.init();

    // Init Widget Demo JS
    // demoHighCharts.init();

    // Because we are using Admin Panels we use the OnFinish 
    // callback to activate the demoWidgets. It's smoother if
    // we let the panels be moved and organized before 
    // filling them with content from various plugins

    // Init plugins used on this page
    // HighCharts, JvectorMap, Admin Panels

    // Init Admin Panels on widgets inside the ".admin-panels" container
    $('.admin-panels').adminpanel({
      grid: '.admin-grid',
      draggable: true,
      preserveGrid: true,
      // mobile: true,
      onStart: function() {
        // Do something before AdminPanels runs
      },
      onFinish: function() {
        $('.admin-panels').addClass('animated fadeIn').removeClass('fade-onload');

        // Init the rest of the plugins now that the panels
        // have had a chance to be moved and organized.
        // It's less taxing to organize empty panels
        demoHighCharts.init();
        runVectorMaps(); // function below
      },
      onSave: function() {
        $(window).trigger('resize');
      }
    });


    // Init plugins for ".task-widget"
    // plugins: Custom Functions + jQuery Sortable
    //
    var taskWidget = $('div.task-widget');
    var taskItems = taskWidget.find('li.task-item');
    var currentItems = taskWidget.find('ul.task-current');
    var completedItems = taskWidget.find('ul.task-completed');

    // Init jQuery Sortable on Task Widget
    taskWidget.sortable({
      items: taskItems, // only init sortable on list items (not labels)
      handle: '.task-menu',
      axis: 'y',
      connectWith: ".task-list",
      update: function( event, ui ) {
        var Item = ui.item;
        var ParentList = Item.parent();

        // If item is already checked move it to "current items list"
        if (ParentList.hasClass('task-current')) {
            Item.removeClass('item-checked').find('input[type="checkbox"]').prop('checked', false);
        }
        if (ParentList.hasClass('task-completed')) {
            Item.addClass('item-checked').find('input[type="checkbox"]').prop('checked', true);
        }

      }
    });

    // Custom Functions to handle/assign list filter behavior
    taskItems.on('click', function(e) {
      e.preventDefault();
      var This = $(this);
      var Target = $(e.target);

      if (Target.is('.task-menu') && Target.parents('.task-completed').length) {
        This.remove();
        return;
      }

      if (Target.parents('.task-handle').length) {
		      // If item is already checked move it to "current items list"
		      if (This.hasClass('item-checked')) {
		        This.removeClass('item-checked').find('input[type="checkbox"]').prop('checked', false);
		      }
		      // Otherwise move it to the "completed items list"
		      else {
		        This.addClass('item-checked').find('input[type="checkbox"]').prop('checked', true);
		      }
      }

    });


    var highColors = [bgSystem, bgSuccess, bgWarning, bgPrimary];

    // Chart data
    var seriesData = [{
      name: 'Phones',
      data: [5.0, 9, 17, 22, 19, 11.5, 5.2, 9.5, 11.3, 15.3, 19.9, 24.6]
    }, {
      name: 'Notebooks',
      data: [2.9, 3.2, 4.7, 5.5, 8.9, 12.2, 17.0, 16.6, 14.2, 10.3, 6.6, 4.8]
    }, {
      name: 'Desktops',
      data: [15, 19, 22.7, 29.3, 22.0, 17.0, 23.8, 19.1, 22.1, 14.1, 11.6, 7.5]
    }, {
      name: 'Music Players',
      data: [11, 6, 5, 15, 17.0, 22.0, 30.8, 24.1, 14.1, 11.1, 9.6, 6.5]
    }];

    var ecomChart = $('#ecommerce_chart1');
    if (ecomChart.length) {
      ecomChart.highcharts({
        credits: false,
        colors: highColors,
        chart: {
          backgroundColor: 'transparent',
          className: '',
          type: 'line',
          zoomType: 'x',
          panning: true,
          panKey: 'shift',
          marginTop: 45,
          marginRight: 1,
        },
        title: {
          text: null
        },
        xAxis: {
          gridLineColor: '#EEE',
          lineColor: '#EEE',
          tickColor: '#EEE',
          categories: ['Jan', 'Feb', 'Mar', 'Apr',
            'May', 'Jun', 'Jul', 'Aug',
            'Sep', 'Oct', 'Nov', 'Dec'
          ]
        },
        yAxis: {
          min: 0,
          tickInterval: 5,
          gridLineColor: '#EEE',
          title: {
            text: null,
          }
        },
        plotOptions: {
          spline: {
            lineWidth: 3,
          },
          area: {
            fillOpacity: 0.2
          }
        },
        legend: {
          enabled: true,
          floating: false,
          align: 'right',
          verticalAlign: 'top',
          x: -15
        },
        series: seriesData
      });
    }

    // Widget VectorMap
    function runVectorMaps() {

      // Jvector Map Plugin
      var runJvectorMap = function() {
        // Data set
        var mapData = [900, 700, 350, 500];
        // Init Jvector Map
        $('#WidgetMap').vectorMap({
          map: 'us_lcc_en',
          //regionsSelectable: true,
          backgroundColor: 'transparent',
          series: {
            markers: [{
              attribute: 'r',
              scale: [3, 7],
              values: mapData
            }]
          },
          regionStyle: {
            initial: {
              fill: '#E8E8E8'
            },
            hover: {
              "fill-opacity": 0.3
            }
          },
          markers: [{
            latLng: [37.78, -122.41],
            name: 'San Francisco,CA'
          }, {
            latLng: [36.73, -103.98],
            name: 'Texas,TX'
          }, {
            latLng: [38.62, -90.19],
            name: 'St. Louis,MO'
          }, {
            latLng: [40.67, -73.94],
            name: 'New York City,NY'
          }],
          markerStyle: {
            initial: {
              fill: '#a288d5',
              stroke: '#b49ae0',
              "fill-opacity": 1,
              "stroke-width": 10,
              "stroke-opacity": 0.3,
              r: 3
            },
            hover: {
              stroke: 'black',
              "stroke-width": 2
            },
            selected: {
              fill: 'blue'
            },
            selectedHover: {}
          },
        });
        // Manual code to alter the Vector map plugin to 
        // allow for individual coloring of countries
        var states = ['US-CA', 'US-TX', 'US-MO',
          'US-NY'
        ];
        var colors = [bgInfo, bgPrimaryLr, bgSuccessLr, bgWarningLr];
        var colors2 = [bgInfo, bgPrimary, bgSuccess, bgWarning];
        $.each(states, function(i, e) {
          $("#WidgetMap path[data-code=" + e + "]").css({
            fill: colors[i]
          });
        });
        $('#WidgetMap').find('.jvectormap-marker')
          .each(function(i, e) {
            $(e).css({
              fill: colors2[i],
              stroke: colors2[i]
            });
          });
      }


      if ($('#WidgetMap').length) {
        runJvectorMap();
      }
    }

    var dropdownFilter = {

      // Declare any variables we will need as properties of the object
      $filters: null,
      $reset: null,
      groups: [],
      outputArray: [],
      outputString: '',

      // The "init" method will run on document ready and cache any jQuery objects we will need.
      init: function() {
        var self = this; // As a best practice, in each method we will asign "this" to the variable "self" so that it remains scope-agnostic. We will use it to refer to the parent "dropdownFilter" object so that we can share methods and properties between all parts of the object.

        self.$filters = $('#select-filters');
        self.$reset = $('#mix-reset');
        self.$container = $('#mix-container');

        self.$filters.find('fieldset').each(function() {
          self.groups.push({
            $dropdown: $(this).find('select'),
            active: ''
          });
        });

        self.bindHandlers();
      },

      // The "bindHandlers" method will listen for whenever a select is changed. 
      bindHandlers: function() {
        var self = this;

        // Handle select change    
        self.$filters.on('change', 'select', function(e) {
          e.preventDefault();

          self.parseFilters();
        });

        // Handle reset click
        self.$reset.on('click', function(e) {
          e.preventDefault();

          self.$filters.find('select').val('');

          self.parseFilters();
        });
      },

      // The parseFilters method pulls the value of each active select option
      parseFilters: function() {
        var self = this;

        // loop through each filter group and grap the value from each one.
        for (var i = 0, group; group = self.groups[i]; i++) {
          group.active = group.$dropdown.val();
        }

        self.concatenate();
      },

      // The "concatenate" method will crawl through each group, concatenating filters as desired:
      concatenate: function() {
        var self = this;

        self.outputString = ''; // Reset output string

        for (var i = 0, group; group = self.groups[i]; i++) {
          self.outputString += group.active;
        }

        // If the output string is empty, show all rather than none:
        !self.outputString.length && (self.outputString = 'all');

        //console.log(self.outputString); 
        // ^ we can check the console here to take a look at the filter string that is produced

        // Send the output string to MixItUp via the 'filter' method:
        if (self.$container.mixItUp('isLoaded')) {
          self.$container.mixItUp('filter', self.outputString);
        }
      }
    };

    // To keep our code clean and modular, all custom functionality will be contained inside a single object literal called "checkboxFilter".
    var checkboxFilter = {

      // Declare any variables we will need as properties of the object
      $filters: null,
      $reset: null,
      groups: [],
      outputArray: [],
      outputString: '',

      // The "init" method will run on document ready and cache any jQuery objects we will need.
      init: function() {
        var self = this; // As a best practice, in each method we will asign "this" to the variable "self" so that it remains scope-agnostic. We will use it to refer to the parent "checkboxFilter" object so that we can share methods and properties between all parts of the object.

        self.$filters = $('#checkbox-filters');
        self.$reset = $('#mix-reset2');
        self.$container = $('#mix-container');

        self.$filters.find('fieldset').each(function() {
          self.groups.push({
            $inputs: $(this).find('input'),
            active: [],
            tracker: false
          });
        });

        self.bindHandlers();
      },

      // The "bindHandlers" method will listen for whenever a form value changes. 
      bindHandlers: function() {
        var self = this;

        self.$filters.on('change', function() {
          self.parseFilters();
        });

        self.$reset.on('click', function(e) {
          e.preventDefault();
          self.$filters[0].reset();
          self.parseFilters();
        });
      },

      // The parseFilters method checks which filters are active in each group:
      parseFilters: function() {
        var self = this;

        // loop through each filter group and add active filters to arrays
        for (var i = 0, group; group = self.groups[i]; i++) {
          group.active = []; // reset arrays
          group.$inputs.each(function() {
            $(this).is(':checked') && group.active.push(this.value);
          });
          group.active.length && (group.tracker = 0);
        }

        self.concatenate();
      },

      // The "concatenate" method will crawl through each group, concatenating filters as desired:
      concatenate: function() {
        var self = this,
          cache = '',
          crawled = false,
          checkTrackers = function() {
            var done = 0;

            for (var i = 0, group; group = self.groups[i]; i++) {
              (group.tracker === false) && done++;
            }

            return (done < self.groups.length);
          },
          crawl = function() {
            for (var i = 0, group; group = self.groups[i]; i++) {
              group.active[group.tracker] && (cache += group.active[group.tracker]);

              if (i === self.groups.length - 1) {
                self.outputArray.push(cache);
                cache = '';
                updateTrackers();
              }
            }
          },
          updateTrackers = function() {
            for (var i = self.groups.length - 1; i > -1; i--) {
              var group = self.groups[i];

              if (group.active[group.tracker + 1]) {
                group.tracker++;
                break;
              } else if (i > 0) {
                group.tracker && (group.tracker = 0);
              } else {
                crawled = true;
              }
            }
          };

        self.outputArray = []; // reset output array

        do {
          crawl();
        }
        while (!crawled && checkTrackers());

        self.outputString = self.outputArray.join();

        // If the output string is empty, show all rather than none:
        !self.outputString.length && (self.outputString = 'all');

        //console.log(self.outputString); 
        // ^ we can check the console here to take a look at the filter string that is produced

        // Send the output string to MixItUp via the 'filter' method:
        if (self.$container.mixItUp('isLoaded')) {
          self.$container.mixItUp('filter', self.outputString);
        }
      }
    };

    // Init multiselect plugin on filter dropdowns
    $('#filter1').multiselect({
      buttonClass: 'btn btn-default',
    });
    $('#filter2').multiselect({
      buttonClass: 'btn btn-default',
    });

    // Init checkboxFilter code
    checkboxFilter.init();

    // Init dropdownFilter code
    dropdownFilter.init();

    var $container = $('#mix-container'), // mixitup container
      $toList = $('.to-list'), // list view button
      $toGrid = $('.to-grid'); // list view button

    // Instantiate MixItUp
    $container.mixItUp({
      controls: {
        enable: false // we won't be needing these
      },
      animation: {
        duration: 400,
        effects: 'fade translateZ(-360px) stagger(45ms)',
        easing: 'ease'
      },
      callbacks: {
        onMixFail: function() {}
      }
    });

    $toList.on('click', function() {
      if ($container.hasClass('list')) {
        return
      }
      $container.mixItUp('changeLayout', {
        display: 'block',
        containerClass: 'list'
      }, function(state) {
        // callback function
      });
    });
    $toGrid.on('click', function() {
      if ($container.hasClass('grid')) {
        return
      }
      $container.mixItUp('changeLayout', {
        display: 'inline-block',
        containerClass: 'grid'
      }, function(state) {
        // callback function
      });
    });

    // Add Gallery Item to Lightbox
    $('.mix img').magnificPopup({
      type: 'image',
      callbacks: {
        beforeOpen: function(e) {
          // we add a class to body to indicate overlay is active
          // We can use this to alter any elements such as form popups
          // that need a higher z-index to properly display in overlays
          $('body').addClass('mfp-bg-open');

          // Set Magnific Animation
          this.st.mainClass = 'mfp-zoomIn';

          // Inform content container there is an animation
          this.contentContainer.addClass('mfp-with-anim');
        },
        afterClose: function(e) {

          setTimeout(function() {
            $('body').removeClass('mfp-bg-open');
            $(window).trigger('resize');
          }, 1000)

        },
        elementParse: function(item) {
          // Function will fire for each target element
          // "item.el" is a target DOM element (if present)
          // "item.src" is a source that you may modify
          item.src = item.el.attr('src');
        },
      },
      overflowY: 'scroll',
      removalDelay: 200, //delay removal by X to allow out-animation
      prependTo: $('#content_wrapper')
    });
    var modalContent = $('#modal-content');

    modalContent.on('click', '.holder-style', function(e) {
      e.preventDefault();

      modalContent.find('.holder-style').removeClass('holder-active');
      $(this).addClass('holder-active');
    });

    function findActive() {
      var activeModal = modalContent.find('.holder-active').attr('href');
      return activeModal;
    };

    // Form Skin Switcher
    $('#animation-switcher button').on('click', function() {
      $('#animation-switcher').find('button').removeClass('active-animation');
      $(this).addClass('active-animation item-checked');

      // Inline Admin-Form example 
      $.magnificPopup.open({
        removalDelay: 500, //delay removal by X to allow out-animation,
        items: {
          src: findActive()
        },
        // overflowY: 'hidden', // 
        callbacks: {
          beforeOpen: function(e) {
            var Animation = $("#animation-switcher").find('.active-animation').attr('data-effect');
            this.st.mainClass = Animation;
          }
        },
        midClick: true // allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source.
      });

    });
  


  });
  </script>
  {% endblock %}
  <!-- END: PAGE SCRIPTS -->

</body>
{% endblock %}
</html>
